#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1
%define subrel 1

Summary:        Baloo is a framework for searching and managing metadata
Name:           baloo
Version: 4.14.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://download.kde.org/stable/%{version}/src/%name-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel >= 2:%{version}
BuildRequires:  kfilemetadata-devel >= %{version}
BuildRequires:  akonadi-devel >= 1:1.11.42
BuildRequires:  kdepimlibs4-devel >= 2:%{version}
BuildRequires:  qjson-devel
BuildRequires:  xapian-devel

# (lm) baloo indexing and search not working without the Qt4 QSQLITE driver (mga#16083)
Requires:       qt4-database-plugin-sqlite%{?_isa}
# (lm) for baloo_file_extractor (mga#13574)
Recommends:     kfilemetadata
# (lm) for nepomukbaloomigrator
# only recommends b/c it can be removed after the migration
Recommends:     nepomuk-core

# For kio_timeline.so and tags.protocol
Conflicts:      kdebase4-runtime < 1:4.12.80

Obsoletes:      plasma-krunner-nepomuk < 2:4.11.8
Obsoletes:      nepomuk < 1:4.13.0

%description
Baloo is a framework for searching and managing metadata

%files
%_sysconfdir/dbus-1/system.d/org.kde.baloo.filewatch.conf
%_kde_bindir/akonadi_baloo_indexer
%_kde_bindir/baloo_file
%_kde_bindir/baloo_file_cleaner
%_kde_bindir/baloo_file_extractor
%_kde_bindir/balooctl
%_kde_bindir/baloosearch
%_kde_bindir/balooshow
%_kde_datadir/akonadi/agents/akonadibalooindexingagent.desktop
%_datadir/autostart/baloo_file.desktop
%_datadir/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_datadir/dbus-1/system-services/org.kde.baloo.filewatch.service
%_kde_iconsdir/hicolor/128x128/apps/baloo.png
%_kde_services/*.desktop
%_kde_services/*.protocol
%_kde_servicetypes/baloosearchstore.desktop
%_datadir/polkit-1/actions/org.kde.baloo.filewatch.policy
%_kde_libdir/kde4/*.so
%_kde_libdir/kde4/akonadi/akonadi_baloo_searchplugin.so
%_kde_libdir/kde4/akonadi/akonadibaloosearchplugin.desktop
%_kde_libdir/kde4/libexec/kde_baloo_filewatch_raiselimit

#--------------------------------------------------------------------

%define baloocore_major 4
%define libbaloocore %mklibname baloocore %{baloocore_major}

%package -n %libbaloocore
Summary:      Baloo is a framework for searching and managing metadata
Group:        System/Libraries

%description -n %libbaloocore
Baloo is a framework for searching and managing metadata

%files -n %libbaloocore
%_kde_libdir/libbaloocore.so.%{baloocore_major}*

#--------------------------------------------------------------------

%define baloofiles_major 4
%define libbaloofiles %mklibname baloofiles %{baloofiles_major}

%package -n %libbaloofiles
Summary:      Baloo is a framework for searching and managing metadata
Group:        System/Libraries

%description -n %libbaloofiles
Baloo is a framework for searching and managing metadata

%files -n %libbaloofiles
%_kde_libdir/libbaloofiles.so.%{baloofiles_major}*

#--------------------------------------------------------------------

%define baloopim_major 4
%define libbaloopim %mklibname baloopim %{baloopim_major}

%package -n %libbaloopim
Summary:      Baloo is a framework for searching and managing metadata
Group:        System/Libraries

%description -n %libbaloopim
Baloo is a framework for searching and managing metadata

%files -n %libbaloopim
%_kde_libdir/libbaloopim.so.%{baloopim_major}*

#--------------------------------------------------------------------

%define balooqueryparser_major 4
%define libbalooqueryparser %mklibname balooqueryparser %{balooqueryparser_major}

%package -n %libbalooqueryparser
Summary:      Baloo is a framework for searching and managing metadata
Group:        System/Libraries

%description -n %libbalooqueryparser
Baloo is a framework for searching and managing metadata

%files -n %libbalooqueryparser
%_kde_libdir/libbalooqueryparser.so.%{balooqueryparser_major}*

#--------------------------------------------------------------------

%define balooxapian_major 4
%define libbalooxapian %mklibname balooxapian %{balooxapian_major}

%package -n %libbalooxapian
Summary:      Baloo is a framework for searching and managing metadata
Group:        System/Libraries

%description -n %libbalooxapian
Baloo is a framework for searching and managing metadata

%files -n %libbalooxapian
%_kde_libdir/libbalooxapian.so.%{balooxapian_major}*

#--------------------------------------------------------------------

%define baloo_devel %mklibname baloo -d

%package -n %baloo_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libbalooxapian = %version-%release
Requires:       %libbaloopim = %version-%release
Requires:       %libbaloofiles = %version-%release
Requires:       %libbaloocore = %version-%release
Requires:       %libbalooqueryparser = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %baloo_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %baloo_devel
%_kde_includedir/baloo
%_kde_libdir/*.so
%_kde_libdir/cmake/Baloo

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Mon Jun 22 2015 lmenut <lmenut> 4.14.3-1.1.mga5
+ Revision: 839884
- baloo requires the Qt4 QSQLITE driver (mga#16083)

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800532
- Update to KDE SC 4.14.3
- obsoletes nepomuk & plasma-krunner-nepomuk

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787614
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 744716
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734480
- Update to KDE SC 4.14.1

* Thu Sep 18 2014 umeabot <umeabot> 4.14.0-3.mga5
+ Revision: 693477
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 678105
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667418
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 662929
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC
- add suggests nepomuk-core: nepomukbaloomigrator needed to migrate
  nepomuk data to baloo

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656607
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653793
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 651898
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  add libbalooqueryparser
- add suggests kfilemetadata (mga#13574)

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636667
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625434
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615507
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609327
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606768
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603267
- New version 4.12.80

* Mon Mar 10 2014 neoclust <neoclust> 4.12.80-2.mga5
+ Revision: 601715
- Add conflicts to ease upgrade
- imported package baloo

